Bug 740161 - Xfce terminal sometimes not reacts on expose events
Summary: Xfce terminal sometimes not reacts on expose events
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 15
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 07:14 UTC by Jos Vos
Modified: 2012-08-07 19:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:47:12 UTC


Attachments (Terms of Use)

Description Jos Vos 2011-09-21 07:14:49 UTC
Description of problem:
Every now and then I see that an Xfce terminal does not react on expose events and does not redraw itself.  This is happening on average one time per day for me. If it happens, switching to other windows (partly hiding the terminal) and back to the terminal does not help (that is, it stays ignoring expose events from then on). When I click on a tab in the terminal, it redraws itself and after that expose events are honored again.

Version-Release number of selected component (if applicable):
0.4.8-1.fc15

Comment 1 Kevin Fenzi 2011-09-21 20:45:09 UTC
I'm not sure how to go about debugging this. ;( 

Terminal is the _only_ thing that does this for you? If it was other apps it would make me thinks it's a xfwm4 or video driver bug. ;( 

What video hardware/driver there? And are you using compositing (enabled in window-manager-tweaks preference). Are your Terminals transparent or using a background?

Comment 2 Jos Vos 2011-09-21 21:46:26 UTC
IIRC it never happened for other windows, but I use far more terminal windows than other apps (my desktop has about 6-8 terminal windows, each with 4+ tabs, and about 3 other windows), so statistically this does not mean anything ;-).

Hardware is Thinkpad T61p with Nvidia G84M [Quadro FX 570M] and nouveau driver. No compositing enabled, terminals have a simple white background with black text.

Comment 3 Kevin Fenzi 2011-10-03 19:07:55 UTC
Does enabling compositing (prefs->window manager tweaks) help any?

Do you see any errors in dmesg or /var/log/Xorg.0.log when this happens?

Comment 4 Jos Vos 2011-10-07 14:12:11 UTC
I didn't enable compositing yet, but I've just seen the same problem also in pidgin, so it does not seem to be a Terminal-specific problem.

Comment 5 Kevin Fenzi 2011-10-07 14:53:57 UTC
lets move this over to nouveau and see if they have any ideas.

Comment 6 Fedora End Of Life 2012-08-07 19:47:14 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.